MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030729Community[OCCT] OCCT:Visualizationpublic2019-05-23 11:202019-06-08 13:21
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030729: Visualization - TKOpenGl reports OpenGL 4.5 loading functions error on Intel drivers
DescriptionTKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Error! OpenGL context reports version 4.5 but does not export required functions for 4.5



OpenGL info:
  GLvendor: Intel
  GLdevice: Intel(R) HD Graphics 630
  GLversion: 4.5.0 - Build 23.20.16.4973
  GLSLversion: 4.50 - Build 23.20.16.4973
  Max texture size: 16384
  Max FBO dump size: 4096x16384
  Max combined texture units: 192
  Max MSAA samples: 16
  Viewport: 409x409
  ResolutionRatio: 1

TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Error! OpenGL context reports version 4.5 but does not export required functions (glGetnCompressedTexImage) 
for 4.5
Please report this issue to OpenGL driver vendor 'intel'


https://software.intel.com/en-us/forums/graphics-driver-bug-reporting/topic/810464 [^]
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030638verifiedapn Open CASCADE Visualization, TKOpenGl - load OpenGL 4.5 functions within OpenGl_Context 

-  Notes
(0084555)
kgv (developer)
2019-05-23 11:34

This is not an Open CASCADE bug - this is an Intel driver bug.
(0084565)
Vico Liang (developer)
2019-05-23 13:41

That's OK. You may close this.
(0084643)
git (administrator)
2019-05-26 12:47

Branch CR30729 has been created by kgv.

SHA-1: bc4d2d1e229ec4dc549e4c5f9ce8b699dfa511c6


Detailed log of new commits:

Author: kgv
Date: Sun May 26 12:46:32 2019 +0300

    0030729: Visualization - TKOpenGl reports OpenGL 4.5 loading functions error on Intel drivers
    
    Make reported error more verbose.
(0084646)
git (administrator)
2019-05-26 13:38

Branch CR30729 has been updated forcibly by kgv.

SHA-1: dafc304efe155e69cbf12a2a334b0ebc01fac196
(0084648)
kgv (developer)
2019-05-26 13:39

Patch improving message (including not found function name) is ready for review.
(0084723)
san (developer)
2019-05-30 16:28

Branch CR30729 reviewed without remarks.
(0084726)
bugmaster (administrator)
2019-05-30 18:27

Combination -
OCCT branch : CR30729
master SHA - dafc304efe155e69cbf12a2a334b0ebc01fac196
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - a9ff0b340afc3724a2378364c2f8a4faf89254d6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16292.71000000007 / 16292.829999999974 [-0.00%]
Products
Total CPU difference: 10487.820000000047 / 10481.610000000046 [+0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 17699.53125 / 17706.828125 [-0.04%]
Products
Total CPU difference: 12066.078125 / 12047.171875 [+0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084963)
git (administrator)
2019-06-08 13:21

Branch CR30729 has been deleted by inv.

SHA-1: dafc304efe155e69cbf12a2a334b0ebc01fac196

- Related Changesets
occt: master 0ae9ac21
Timestamp: 2019-05-26 09:46:32
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030729: Visualization - TKOpenGl reports OpenGL 4.5 loading functions error on Intel drivers

Make reported error more verbose.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-05-23 11:20 Vico Liang New Issue
2019-05-23 11:20 Vico Liang Assigned To => kgv
2019-05-23 11:34 kgv Note Added: 0084555
2019-05-23 13:41 Vico Liang Note Added: 0084565
2019-05-23 14:05 kgv Relationship added child of 0030638
2019-05-23 14:06 kgv Summary TKOpenGl report error => Visualization - TKOpenGl reports OpenGL 4.5 loading functions error on Intel drivers
2019-05-23 14:06 kgv Platform => Windows
2019-05-23 14:06 kgv Product Version => 7.4.0*
2019-05-26 12:29 kgv Description Updated View Revisions
2019-05-26 12:47 git Note Added: 0084643
2019-05-26 13:38 git Note Added: 0084646
2019-05-26 13:39 kgv Note Added: 0084648
2019-05-26 13:39 kgv Assigned To kgv => san
2019-05-26 13:39 kgv Status new => resolved
2019-05-27 13:52 kgv Description Updated View Revisions
2019-05-30 16:28 san Note Added: 0084723
2019-05-30 16:28 san Assigned To san => bugmaster
2019-05-30 16:28 san Status resolved => reviewed
2019-05-30 18:27 bugmaster Note Added: 0084726
2019-05-30 18:27 bugmaster Status reviewed => tested
2019-05-30 18:27 bugmaster Test case number => Not required
2019-06-08 13:11 bugmaster Changeset attached => occt master 0ae9ac21
2019-06-08 13:11 bugmaster Status tested => verified
2019-06-08 13:11 bugmaster Resolution open => fixed
2019-06-08 13:21 git Note Added: 0084963


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker